/* This file is part of Error Correctiong Codes Application.
 *
 * Ecc-Application is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Ecc-Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Ecc-Application; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


package ch.educeth.eccapplet;

import java.awt.*;
import javax.swing.*;

import ch.educeth.util.gui.dndpanel.DndPanel;


/**
 * Panel, welches das Panel enthaelt, das die 'visuelle' Seite der ECC zeigt.
 */
public class EccColorViewPanel extends DndPanel {
	EccColorViewRight ecvr = new EccColorViewRight();

	/** Konstruktor, verwaltet den MouseInputListener */
	public EccColorViewPanel() {
		super();
		this.setLayout(new BorderLayout());
		this.add(ecvr);
		this.addThisMouseInputListener(ecvr);
	}

}

